function example ()

D0=[-5.49 0     1.15    0
     0   -2.29  0       0
     0    0.08 -1.32    0
     0.72 1.17  0.7    -7.07];

D1=[0.25 0.38 0.64 0
    0    0    0    1.09
    0    1.24 0    0
    0.37 0    0    0];

D2=[0.3  1.0   0 0.48
    0    0.2 0 0
    0    0   0 0
    0.61 0   0 0.2];

D3=[0    0.98  0    0.31
    0    0     1.0  0
    0    0     0    0
    1.1 0.84  0.33 1.03];

% lambda1 = 1.1049
% lambda2 = 0.23778
% lambda3 = 0.76019
% lambda = 2.1029

% mu3 = 1.5;
% cs23 = 3;

sigma3 = [1/6, 5/6];
S3 = [-0.5, 0.5; 0, -3];

% mu2 = 2;
% cs22 = 0.85;

sigma2 = [1/1.7, 1-1/1.7];
S2 = [-2/0.85, 2/0.85; 0, -4];

% mu1 = 5;
% cs21 = 2;

sigma1 = [1/4, 1-1/4];
S1 = [-2.5, 2.5; 0, -10];

disp('Preemptive resume service');
disp('-------------------------');

R = MMAPPH1PRPR({D0,D1,D2,D3}, {sigma1,sigma2,sigma3},{S1,S2,S3}, 'qlmoms', 9, 'qldistr', 15, 'stmoms', 9, 'stdistr', [1, 5, 10]);

disp('qlmoms:');
R{1}

disp('qldist:');
R{2}

disp('stmoms:');
R{3}

disp('stdist:');
R{4}

disp('Non-Preemptive service');
disp('----------------------');

R = MMAPPH1NPPR({D0,D1,D2,D3}, {sigma1,sigma2,sigma3},{S1,S2,S3}, 'qlmoms', 9, 'qldistr', 15, 'stmoms', 9, 'stdistr', [1, 5, 10]);

disp('qlmoms:');
R{1}

disp('qldist:');
R{2}

disp('stmoms:');
R{3}

disp('stdist:');
R{4}
