function R = SolveMatrixQuadratic (A0, A1, A2, eps)

dim = size (A1, 1);
IA1 = inv (-A1);
H = A0 * IA1;
L = A2 * IA1;
R = H;
T = L;
Ro = ones (dim);
while norm(R-Ro)>eps
	Ro = R;
    U = H*L + L*H;
	IU = inv (eye(dim)-U);
	H = H * H * IU;
	L = L * L * IU;
	R = R + H * T;
	T = L * T;
end
